Subject: bug#20943: 25.0.50; Dired buffers are not always auto-reverted

From: Mark Karpov <[email-masked]>
Date: Fri, 10 Jul 2015 12:20:47 +0600

Eli Zaretskii <[email-masked]> writes:

> No one's disputing that.  The only issue we need to resolve is how to
> let Dired buffers auto-revert even when the user actually edits the
> directory, without causing unnecessary re-reads of the directory (for
> the sake of remote directories).

Those who need to work with remote directories could disable this
feature (‘auto-revert-mode’ or ‘global-auto-revert-non-file-buffers’).

This feature certainly requires more re-reads by definition.

There will be no “unnecessary” re-reads, however:

* ‘auto-revert-handler’ will re-read directory only if it's stale;

* other editing functions will call ‘auto-revert-handler’ sooner than it
  would be normally called, but number of re-reads remains the same
  (after call of ‘auto-revert-handler’ buffer will be no longer stale).